from whatsapp_web import WhatsAppWebClient
import asyncio

async def send_message():
    client = WhatsAppWebClient()

    # Log in by scanning QR code
    print("Please scan the QR code to log in.")
    await client.start()

    # Check if login was successful
    if not client.is_logged_in:
        print("Login failed.")
        return

    print("Login successful!")

    # Send a message
    recipient = "8801733949558@s.whatsapp.net"  # Replace with the recipient's WhatsApp ID
    message = "Hello from my Python WhatsApp API!"
    await client.send_message(recipient, message)

    print(f"Message sent to {recipient}: {message}")

    # Logout and close
    await client.logout()

# Run the script
asyncio.run(send_message())